
public class Tester {
	
	SharedObject sentence;
	
public static void main(String argv[]) {
		
		if (argv.length != 1) {
			System.out.println("You need to specify a name: java Testeur <name>");
			return;
		}
		String myName = argv[0];
	
		System.out.println("Initialization");
		
		// initialize the system
		Client.init();
		
		//The shared object will been know under the name "IRC"
		
		// look up the IRC object in the name server
		// if not found, create it, and register it in the name server
		SharedObject s = Client.lookup("IRC");
		if (s == null) {
			System.out.println("L'objet n'existe pas. Création");
			s = Client.create(new Sentence());
			Client.register("IRC", s);
		}
		// create the graphical part
		
		int i = 0;
		
		while (i < 100000) {
		
		System.out.println(i++);
		
		s.lock_write();
		
		// invoke the method
		((Sentence)(s.obj)).write(myName+" wrote ");
		
		
		// unlock the object
		s.unlock();
		
		s.lock_read();
		
		// invoke the method
		System.out.println(((Sentence)(s.obj)).read());
		
		
		// unlock the object
		s.unlock();
		
		}
		
		System.out.println("Completed !");
		
		
		
	}

}
