
/**
 * Some definitions and constants for the state 
 * of SharedObject, or ServerObject. 
 * @author acourreg
 *
 */

public final class State {
	
	// For SharedObject
	
	public static final int NL = 0;
	
	public static final int RLC = 1;
	
	public static final int WLC = 2;
	
	public static final int RLT = 3;
	
	public static final int WLT = 4;
	
	public static final int RLT_WLC = 5;
	
	// For ServerObject
	
	public static final int free = 0;
	
	public static final int read = 1;
	
	public static final int write = 2;
	
}
